### Method

# Snapd Snap get_license

since: 1.19

#### Declaration [src]

    const gchar*
    snapd_snap_get_license (
      SnapdSnap* snap
    )

#### Description [src]

Gets the SPDX license expression for this snap, e.g. “GPL-3.0+”.

Available since: 1.19

Gets property | `Snapd.Snap:license`

#### Return value

Type: `const gchar*`

An SPDX license expression or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.